找回密码
 立即注册
搜索

全球超过50亿台设备受到蓝牙协议零日漏洞的影响

[复制链接]
发表于 2017-9-13 14:37:26
来自美国的企业级物联网安全公司ARMIS日前开始向外介绍该公司在蓝牙协议里发现的多个关键级安全漏洞
这些漏洞影响所有主流桌面操作系统和移动操作系统,同时在全球影响超过50亿台支持蓝牙协议连接的设备。
非常危险的是这些漏洞允许攻击者远程执行任意代码, 这意味着攻击者不需要接触受害者即可成功发起攻击。
ARMIS团队称甚至在攻击时不需要与受害者进行交互,即在受害者没有任何察觉的情况下直接静默感染设备
1.png
BlueBorne 攻击媒介概述:(漏洞验证工具)

ARMIS研究团队制作了可发起攻击的BlueBorne工具,借助该工具可以轻松渗透并完全获得目标设备控制权。

同时该工具并不需要与目标设备进行蓝牙配对即可展开攻击, 除非目标设备已配对其他设备并正在传输内容。

这意味着攻击者只需要带上该工具扫描周边的蓝牙设备即可, 除远程代码执行外甚至还可以发起中间人攻击。

极高的安全风险:

BlueBorne工具可以组合利用蓝牙传输协议多个漏洞, 然后可以无障碍的感染任何已经开启蓝牙开关的设备。

值得注意的是蓝牙进程在所有操作系统都具有最高权限, 因此可利用蓝牙进程的最高权限完全控制整个设备。

因此BlueBorne 工具可以被用来达成任何恶意目的,例如网络间谍、数据窃取、勒索甚至创建大型僵尸网络。

影响所有主流系统和50亿+台设备:

根据蓝牙联盟的数据目前全球蓝牙设备总量约82亿台, 蓝牙协议几乎覆盖电脑、IoT、手机、电视、汽车等。

在这些蓝牙设备里Android设备超过20亿台、Windows 电脑超过20亿台, 还有10亿台iOS和Mac系统设备。

同时全球还有超过8亿台具备蓝牙连接的 IoT 设备,很遗憾这些设备几乎都可以遭到 BlueBorne 工具的感染。

展开攻击的细节问题:

BlueBorne工具在展开攻击时并不需要与目标设备接触, 为能够保持良好的连接只需尽量靠近目标设备即可。

同时在攻击时不需要目标设备的用户进行交互操作, 除了蓝牙正在运行中外不需要任何前提条件以及配置等。

设备开启蓝牙后本身会不间断的扫描周围的蓝牙设备, 该工具可在不与目标设备进行配对的情况下进行感染。

蓝牙协议的历史版本问题:

过去大多数蓝牙漏洞和安全漏洞都是属于协议本身的问题, 这些问题早在2007年的蓝牙 2.1版中得到了修复。

而且这些漏洞本质上都是严重程度非常低并且不允许远程执行代码, 这促使研究人员的研究转向了其他地方。

但是之后并没有研究人员仔细检查蓝牙协议在不同平台上的实现, 因此忽略了很多隐藏了许久的关键级漏洞。

另外在某些方面蓝牙技术规范提供了太宽泛的空间, 导致各个平台实施方法不同因此可能会诱发更多的漏洞。

ARMIS 团队称本次的发现已经足够震惊了, 但是担心目前发现的这8个零日漏洞只是蓝牙漏洞里的冰山一角。

安全通报与协调披露:

在发现漏洞后ARMIS 研究团队已经联系多家知名公司确保能够在漏洞披露之前修复漏洞或者发布安全预警等。

1、谷歌公司:2017年4月19日联系并披露漏洞信息,该公司在2017年9月4日发布安全更新和安全公告;

2、微软公司:2017年4月19日联系并披露漏洞信息,该公司在7月11日发布安全更新并在9月12日披露;

3、苹果公司:2017年8月9日联系并披露漏洞信息,苹果公司的产品最新版本里已不再受到该漏洞影响;

4、三星公司:2017年4月、5月、6月进行了三次联系,至今没有获得任何回复;

5、Linux:2017年8月15日和8月17日联系,9月15日已经将必要信的息披露给Linux内核安全维护团队;

受到影响的系统及设备:(只是举例)

Android系统:

所有版本的 Android 操作系统均受这些安全漏洞的影响,其中部分漏洞允许远程执行代码和发起中间人攻击。

谷歌已经为 Android 6.0 及7.0 版发布补丁并通知该公司合作伙伴,Android 8.0版在发布之前已经解决漏洞。

Windows系统:

Windows Vista及以后的Windows版本均受到上述漏洞的影响,攻击者可利用这些漏洞发起中间人攻击等等。

微软公司已经在2017年9月13日发布安全更新, 所有受支持的操作系统均应该立刻安装最新版的安全补丁等。

Windows Vista以前的版本例如Windows XP 及相关服务版本、嵌入式版本、服务器版本不受上述漏洞影响。

Linux系统:

运行BlueZ蓝牙的所有 Linux 设备均受到信息泄露漏洞的影响,部分版本还会受到远程代码执行漏洞的影响。

iOS系统:

苹果公司已经在 iOS 10 中缓解了这个漏洞,因此使用该版本的用户不需要做任何操作、不会受到漏洞影响。

使用iOS 9.3.5及以下版本的iPhone、iPad、iPod Touch以及使用 tvOS 7.2.2 及以下的 AppleTV 受到影响。

临时解决方案:

不使用蓝牙时不要开启蓝牙功能、如需使用那么必须在使用完成后立即关闭蓝牙功能,关闭后即可不受影响。





上一篇:易速传真公司因数据泄露问题面临700亿美元的集体诉讼
下一篇:黑客利用脸书等公共服务的CDN网络散布恶意软件
请勿灌水,无意义回复,违者封号处理
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则